[arch-commits] Commit in sg3_utils/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 14:22:32 EDT 2009


    Date: Saturday, April 4, 2009 @ 14:22:31
  Author: jgc
Revision: 33715

upgpkg: sg3_utils 1.26-1

Modified:
  sg3_utils/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-04 18:21:01 UTC (rev 33714)
+++ PKGBUILD	2009-04-04 18:22:31 UTC (rev 33715)
@@ -1,21 +1,22 @@
 #$Id$
 # Maintainer: Daniel Isenmann <daniel at archlinux.org>
 pkgname=sg3_utils
-pkgver=1.25
+pkgver=1.26
 pkgrel=1
 pkgdesc="Generic SCSI utilities"
 arch=(i686 x86_64)
-url="http://sg.torque.net/sg/sg3_utils.html"
+url="http://sg.danny.cz/sg/sg3_utils.html"
 license=('GPL' 'custom:BSD')
 depends=('glibc')
 options=('!libtool')
-source=(http://sg.torque.net/sg/p/${pkgname}-${pkgver}.tgz)
-md5sums=('9fec4d8f3f6c8b3d2da79fc17cc2d387')
+source=(http://sg.danny.cz/sg/p/${pkgname}-${pkgver}.tgz)
+md5sums=('9a7aa8d954d75dc6c91e066e215867f2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr 
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+  make DESTDIR=${startdir}/pkg install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list